/*
 Navicat Premium Data Transfer

 Source Server         : 106.54.217.133
 Source Server Type    : MySQL
 Source Server Version : 50744
 Source Host           : 106.54.217.133:3306
 Source Schema         : text02

 Target Server Type    : MySQL
 Target Server Version : 50744
 File Encoding         : 65001

 Date: 19/07/2024 09:20:23
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for stu_cou
-- ----------------------------
DROP TABLE IF EXISTS `stu_cou`;
CREATE TABLE `stu_cou`  (
  `sc_id` int(11) NOT NULL AUTO_INCREMENT,
  `c_id` int(11) NULL DEFAULT NULL,
  `s_id` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`sc_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 28 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of stu_cou
-- ----------------------------
INSERT INTO `stu_cou` VALUES (1, 1, 1);
INSERT INTO `stu_cou` VALUES (2, 2, 1);
INSERT INTO `stu_cou` VALUES (3, 3, 1);
INSERT INTO `stu_cou` VALUES (4, 4, 2);
INSERT INTO `stu_cou` VALUES (5, 5, 2);
INSERT INTO `stu_cou` VALUES (6, 6, 3);
INSERT INTO `stu_cou` VALUES (7, 7, 3);
INSERT INTO `stu_cou` VALUES (8, 1, 4);
INSERT INTO `stu_cou` VALUES (9, 3, 4);
INSERT INTO `stu_cou` VALUES (10, 5, 4);
INSERT INTO `stu_cou` VALUES (11, 3, 5);
INSERT INTO `stu_cou` VALUES (12, 4, 5);
INSERT INTO `stu_cou` VALUES (13, 5, 5);
INSERT INTO `stu_cou` VALUES (14, 1, 6);
INSERT INTO `stu_cou` VALUES (15, 2, 6);
INSERT INTO `stu_cou` VALUES (16, 6, 6);
INSERT INTO `stu_cou` VALUES (17, 2, 7);
INSERT INTO `stu_cou` VALUES (18, 4, 7);
INSERT INTO `stu_cou` VALUES (19, 7, 7);
INSERT INTO `stu_cou` VALUES (20, 4, 8);
INSERT INTO `stu_cou` VALUES (21, 6, 8);
INSERT INTO `stu_cou` VALUES (22, 2, 8);
INSERT INTO `stu_cou` VALUES (23, 5, 9);
INSERT INTO `stu_cou` VALUES (24, 7, 9);
INSERT INTO `stu_cou` VALUES (25, 4, 9);
INSERT INTO `stu_cou` VALUES (26, 6, 10);
INSERT INTO `stu_cou` VALUES (27, 3, 10);

-- ----------------------------
-- Table structure for t_course
-- ----------------------------
DROP TABLE IF EXISTS `t_course`;
CREATE TABLE `t_course`  (
  `c_id` int(11) NOT NULL AUTO_INCREMENT,
  `c_name` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`c_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_course
-- ----------------------------
INSERT INTO `t_course` VALUES (1, '语文');
INSERT INTO `t_course` VALUES (2, '数学');
INSERT INTO `t_course` VALUES (3, '英语');
INSERT INTO `t_course` VALUES (4, '政治');
INSERT INTO `t_course` VALUES (5, '地理');
INSERT INTO `t_course` VALUES (6, '生物');
INSERT INTO `t_course` VALUES (7, 'Java');

-- ----------------------------
-- Table structure for t_student
-- ----------------------------
DROP TABLE IF EXISTS `t_student`;
CREATE TABLE `t_student`  (
  `s_id` int(11) NOT NULL AUTO_INCREMENT,
  `s_name` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `sex` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`s_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_student
-- ----------------------------
INSERT INTO `t_student` VALUES (1, '张三', '男');
INSERT INTO `t_student` VALUES (2, '李四', '男');
INSERT INTO `t_student` VALUES (3, '王五', '男');
INSERT INTO `t_student` VALUES (4, '赵六', '男');
INSERT INTO `t_student` VALUES (5, '田七', '男');
INSERT INTO `t_student` VALUES (6, '王芳玉', '女');
INSERT INTO `t_student` VALUES (7, '余琴', '女');
INSERT INTO `t_student` VALUES (8, '张怀志', '男');
INSERT INTO `t_student` VALUES (9, '郭思雨', '女');
INSERT INTO `t_student` VALUES (10, '李雨欣', '女');

SET FOREIGN_KEY_CHECKS = 1;
